_Eina_Lines_Iterator Struct Reference
Eina » Tools » File

This represents a line iterator a file. More...

`#include <eina_file_common.h>`

## Data Fields

Eina_Iterator | iterator
| The iterator itself.
Eina_File * | fp
| The file this iterator is associated with.
const char * | map
| A pointer to the head of the file that has been mapped with mmap(2).
const char * | end
| A pointer to the end of the file that has been mapped with mmap(2).
int | boundary
| Currently hard coded to 4096.
Eina_File_Line | current
| The current line.

## Detailed Description

This represents a line iterator a file.